﻿@model List<Department>
@{
    ViewData["Title"] = "Index";
}
@Html.ActionLink(
    "Create new department", 
    "Create", 
    "Department", 
    null, 
    new { @class = "btn btn-dark" }) 
<br/>
<br/>
<br/>
<table class="table">
    <thead class="table-dark">
    <tr>
        <th scope="col">Id</th>
        <th scope="col">Name</th>
        <th scope="col">Description</th>
        <th scope="col"></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var dep in Model)
    {
        <tr>
            <td id="dep-id">@dep.Id</td>
            <td>@dep.Name</td>
            <td>@dep.Description</td>
            <td>
                <a asp-action="Edit" asp-controller="Department" asp-route-id="@dep.Id">
                    Edit
                </a>
                <a asp-action="Delete" asp-controller="Department" asp-route-id="@dep.Id">
                    Delete
                </a>
            </td>
        </tr>
    }
    </tbody>
</table>
@section Scripts
{
    <script>
        var trs = document.querySelectorAll("tbody > tr");
        if (trs && trs.length > 0) {
            trs.forEach((value, index) => {
                value.classList.add("cursor-pointer");
                value.addEventListener("click",
                    function() {
                        const elementId = parseInt(this.childNodes[1].textContent.trim());
                        window.location.href = `/Department/Details/${elementId}`;
                    });
            });
        }
    </script>
}

